Subject: Re: iMac G5: experimental thermal & cpufreq support

From: Geoff Levand <[email-masked]>
Date: Thu, 29 Sep 2005 16:28:02 -0700

Benjamin Herrenschmidt wrote:
> The algorithm itself is extracted from darwin. However, it's a rather
> complex modified version of the PID algorithm, and thus it could use
> some review to make sure I got everything right.
> 

As we are already in the digital domain, I would think it would be 
more savvy to use a digital controller than try to simulate an
analog controller...  Why don't you abstract the control algorithm 
such that you can plug in others as they are developed.

-Geoff